Subject: bug#47335: Hide GHC not used for building Was: xmonad fails to recompile on guix system

From: zimoun <[email-masked]>
Date: Wed, 15 Sep 2021 10:08:45 +0200

Hi,

On Wed, 15 Sept 2021 at 13:02, Xinglu Chen <[email-masked]> wrote:

> Agreed, but I guess using the ‘-next’ suffix was be the easiest
> workaround for now.

Yeah but more than often, the workarounds remain longer than expected
and thus they cannot be considered as workaround. ;-)

> Maybe running ‘guix install ghc’ should install the GHC package that the
> ‘ghc’ variable refers to.  Then this would not only apply to language
> ecosystems, but all packages in general.  Right now running ‘guix
> install rsync’ installs the ‘rsync-next’ package, but I would expect it
> to install the package that the ‘rsync’ variable is bound to.

Well, the name has to be distinguished from the symbol.  The symbol
name does not matter from a CLI point of view; and usually not so much
from a regular user perspective.

What really matters, IMHO, is the name and the version.  Basically,
"guix install foo" will install the latest version of the package
'foo'.  To avoid this, the trick is to tweak to the name of the latest
version.  It is what happens with 'rsync'; so to be in agreement with
the '-next' approach, the name should be 'rsync-next' and not 'rsync'.

Anyway, we all agree that something is odd. :-)

Cheers,
simon